{% extends 'baseDashboard.html.twig' %}

{% block title %}Modifier mon profil  {% endblock %}

{% block body %}


 <div class="tap-top"><i data-feather="chevrons-up"></i></div>
    <!-- tap on tap ends-->
 
    <!-- page-wrapper Start-->
    <div class="page-wrapper compact-wrapper" id="pageWrapper">
      
       {% include 'dashboard/includes/_header.html.twig' %}
      <!-- Page Body Start-->
      <div class="page-body-wrapper">
        <!-- Page Sidebar Start-->
        {% include 'dashboard/includes/_sidebar.html.twig' %}
        <!-- Page Sidebar Ends-->
        <div class="page-body">
          <!-- Container-fluid starts-->

          
          <div class="container-fluid">

            <div class="edit-profile">
                    {% include 'dashboard/includes/_flashMessage.html.twig' %}

              <div class="row">

                <div class="col-xl-12">
                    {{ form_start(changeUserPassword,{'attr':{'class':'card'}}) }}
                   
                    <div class="card-header">
                    <div class="password-reset-container">
                      <h4 class="badge rounded-pill badge-danger">Infomation</h4>
                      <p>
                        Si vous avez créé votre compte en utilisant Google, et que vous souhaitez établir ou réinitialiser votre mot de passe traditionnel, vous pouvez le faire <a href="{{ path('app_forgot_password_request') }}" > ici</a>.  Réinitialiser votre mot de passe vous permettra de vous connecter également sans utiliser Google à l'avenir. </p>
                         <div class="card-footer text-center "><a href="{{ path('app_forgot_password_request') }}" class="btn btn-outline-primary-2x btn-sm"> Réinitialiser le Mot de Passe</a></div>
                   
                      
                     </div>
                      <h2 class="card-title mb-0 text-center">Modifier le mot de passe</h2>
                      
                     


                      <div class="card-options">
                      <a class="card-options-collapse" href="#" data-bs-toggle="card-collapse"><i class="fe fe-chevron-up"></i></a><a class="card-options-remove" href="#" data-bs-toggle="card-remove"><i class="fe fe-x"></i></a></div>
                    </div>


                    <div class="card-body">
                           {% include 'dashboard/includes/_flashMessage.html.twig' %}

                      <div class="row">                     
                       <div class="col-md-12">
                          <div class="mb-3">
                            {{ form_row(changeUserPassword.oldPassword)}}
                          </div>
                        </div>
                          <div class="col-md-6">
                            <div class="mb-3">
                                {{ form_row(changeUserPassword.plainPassword.first)}}
                            </div>
                         </div>
                          <div class="col-md-6">
                            <div class="mb-3">
                                {{ form_row(changeUserPassword.plainPassword.second)}}
                            </div>
                         </div>      
                    </div>
                    <div class="card-footer text-center">
                    
                 
                        {{ form_row(changeUserPassword.submit,{'attr':{'class':'btn btn-primary'}})}}
                
                    </div>
                 {{ form_end(changeUserPassword) }}

                 
                </div>
                 
          
                </div>
              </div>
            </div>



            
          </div>
          <!-- Container-fluid Ends-->



        </div>
        <!-- footer start-->
        {% include 'dashboard/includes/_footer.html.twig' %}
      </div>
    </div>




{% endblock %}
